Adding generated files
[geeqie.git] / Makefile.in
1 # Makefile.in generated by automake 1.16.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (C) 2004 Oren Ben-Kiki
18 # This file is distributed under the same terms as the Automake macro files.
19
20 # Generate automatic documentation using Doxygen. Goals and variables values
21 # are controlled by the various DX_COND_??? conditionals set by autoconf.
22 #
23 # The provided goals are:
24 # doxygen-doc: Generate all doxygen documentation.
25 # doxygen-run: Run doxygen, which will generate some of the documentation
26 #              (HTML, CHM, CHI, MAN, RTF, XML) but will not do the post
27 #              processing required for the rest of it (PS, PDF, and some MAN).
28 # doxygen-man: Rename some doxygen generated man pages.
29 # doxygen-ps: Generate doxygen PostScript documentation.
30 # doxygen-pdf: Generate doxygen PDF documentation.
31 #
32 # Note that by default these are not integrated into the automake goals. If
33 # doxygen is used to generate man pages, you can achieve this integration by
34 # setting man3_MANS to the list of man pages generated and then adding the
35 # dependency:
36 #
37 #   $(man3_MANS): doxygen-doc
38 #
39 # This will cause make to run doxygen and generate all the documentation.
40 #
41 # The following variable is intended for use in Makefile.am:
42 #
43 # DX_CLEANFILES = everything to clean.
44 #
45 # This is usually added to MOSTLYCLEANFILES.
46
47 VPATH = @srcdir@
48 am__is_gnu_make = { \
49   if test -z '$(MAKELEVEL)'; then \
50     false; \
51   elif test -n '$(MAKE_HOST)'; then \
52     true; \
53   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
54     true; \
55   else \
56     false; \
57   fi; \
58 }
59 am__make_running_with_option = \
60   case $${target_option-} in \
61       ?) ;; \
62       *) echo "am__make_running_with_option: internal error: invalid" \
63               "target option '$${target_option-}' specified" >&2; \
64          exit 1;; \
65   esac; \
66   has_opt=no; \
67   sane_makeflags=$$MAKEFLAGS; \
68   if $(am__is_gnu_make); then \
69     sane_makeflags=$$MFLAGS; \
70   else \
71     case $$MAKEFLAGS in \
72       *\\[\ \   ]*) \
73         bs=\\; \
74         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
75           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
76     esac; \
77   fi; \
78   skip_next=no; \
79   strip_trailopt () \
80   { \
81     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
82   }; \
83   for flg in $$sane_makeflags; do \
84     test $$skip_next = yes && { skip_next=no; continue; }; \
85     case $$flg in \
86       *=*|--*) continue;; \
87         -*I) strip_trailopt 'I'; skip_next=yes;; \
88       -*I?*) strip_trailopt 'I';; \
89         -*O) strip_trailopt 'O'; skip_next=yes;; \
90       -*O?*) strip_trailopt 'O';; \
91         -*l) strip_trailopt 'l'; skip_next=yes;; \
92       -*l?*) strip_trailopt 'l';; \
93       -[dEDm]) skip_next=yes;; \
94       -[JT]) skip_next=yes;; \
95     esac; \
96     case $$flg in \
97       *$$target_option*) has_opt=yes; break;; \
98     esac; \
99   done; \
100   test $$has_opt = yes
101 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
102 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
103 pkgdatadir = $(datadir)/@PACKAGE@
104 pkgincludedir = $(includedir)/@PACKAGE@
105 pkglibdir = $(libdir)/@PACKAGE@
106 pkglibexecdir = $(libexecdir)/@PACKAGE@
107 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
108 install_sh_DATA = $(install_sh) -c -m 644
109 install_sh_PROGRAM = $(install_sh) -c
110 install_sh_SCRIPT = $(install_sh) -c
111 INSTALL_HEADER = $(INSTALL_DATA)
112 transform = $(program_transform_name)
113 NORMAL_INSTALL = :
114 PRE_INSTALL = :
115 POST_INSTALL = :
116 NORMAL_UNINSTALL = :
117 PRE_UNINSTALL = :
118 POST_UNINSTALL = :
119 subdir = .
120 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
121 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
122         $(top_srcdir)/configure.ac
123 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
124         $(ACLOCAL_M4)
125 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
126         $(am__configure_deps) $(am__DIST_COMMON)
127 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
128  configure.lineno config.status.lineno
129 mkinstalldirs = $(install_sh) -d
130 CONFIG_HEADER = config.h
131 CONFIG_CLEAN_FILES = geeqie.spec
132 CONFIG_CLEAN_VPATH_FILES =
133 AM_V_P = $(am__v_P_@AM_V@)
134 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
135 am__v_P_0 = false
136 am__v_P_1 = :
137 AM_V_GEN = $(am__v_GEN_@AM_V@)
138 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
139 am__v_GEN_0 = @echo "  GEN     " $@;
140 am__v_GEN_1 = 
141 AM_V_at = $(am__v_at_@AM_V@)
142 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
143 am__v_at_0 = @
144 am__v_at_1 = 
145 SOURCES =
146 DIST_SOURCES =
147 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
148         ctags-recursive dvi-recursive html-recursive info-recursive \
149         install-data-recursive install-dvi-recursive \
150         install-exec-recursive install-html-recursive \
151         install-info-recursive install-pdf-recursive \
152         install-ps-recursive install-recursive installcheck-recursive \
153         installdirs-recursive pdf-recursive ps-recursive \
154         tags-recursive uninstall-recursive
155 am__can_run_installinfo = \
156   case $$AM_UPDATE_INFO_DIR in \
157     n|no|NO) false;; \
158     *) (install-info --version) >/dev/null 2>&1;; \
159   esac
160 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
161 am__vpath_adj = case $$p in \
162     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
163     *) f=$$p;; \
164   esac;
165 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
166 am__install_max = 40
167 am__nobase_strip_setup = \
168   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
169 am__nobase_strip = \
170   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
171 am__nobase_list = $(am__nobase_strip_setup); \
172   for p in $$list; do echo "$$p $$p"; done | \
173   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
174   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
175     if (++n[$$2] == $(am__install_max)) \
176       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
177     END { for (dir in files) print dir, files[dir] }'
178 am__base_list = \
179   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
180   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
181 am__uninstall_files_from_dir = { \
182   test -z "$$files" \
183     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
184     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
185          $(am__cd) "$$dir" && rm -f $$files; }; \
186   }
187 man1dir = $(mandir)/man1
188 am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(appdatadir)" \
189         "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(icondir)" \
190         "$(DESTDIR)$(readmedir)"
191 NROFF = nroff
192 MANS = $(man_MANS)
193 DATA = $(appdata_DATA) $(desktop_DATA) $(icon_DATA) $(readme_DATA)
194 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
195   distclean-recursive maintainer-clean-recursive
196 am__recursive_targets = \
197   $(RECURSIVE_TARGETS) \
198   $(RECURSIVE_CLEAN_TARGETS) \
199   $(am__extra_recursive_targets)
200 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
201         cscope distdir distdir-am dist dist-all distcheck
202 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
203         config.h.in
204 # Read a list of newline-separated strings from the standard input,
205 # and print each of them once, without duplicates.  Input order is
206 # *not* preserved.
207 am__uniquify_input = $(AWK) '\
208   BEGIN { nonempty = 0; } \
209   { items[$$0] = 1; nonempty = 1; } \
210   END { if (nonempty) { for (i in items) print i; }; } \
211 '
212 # Make sure the list of sources is unique.  This is necessary because,
213 # e.g., the same source file might be shared among _SOURCES variables
214 # for different programs/libraries.
215 am__define_uniq_tagged_files = \
216   list='$(am__tagged_files)'; \
217   unique=`for i in $$list; do \
218     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
219   done | $(am__uniquify_input)`
220 ETAGS = etags
221 CTAGS = ctags
222 CSCOPE = cscope
223 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
224         $(srcdir)/geeqie.spec.in $(top_srcdir)/aminclude.am \
225         $(top_srcdir)/auxdir/compile $(top_srcdir)/auxdir/install-sh \
226         $(top_srcdir)/auxdir/missing AUTHORS COPYING NEWS TODO \
227         auxdir/compile auxdir/install-sh auxdir/missing
228 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
229 distdir = $(PACKAGE)-$(VERSION)
230 top_distdir = $(distdir)
231 am__remove_distdir = \
232   if test -d "$(distdir)"; then \
233     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
234       && rm -rf "$(distdir)" \
235       || { sleep 5 && rm -rf "$(distdir)"; }; \
236   else :; fi
237 am__post_remove_distdir = $(am__remove_distdir)
238 am__relativize = \
239   dir0=`pwd`; \
240   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
241   sed_rest='s,^[^/]*/*,,'; \
242   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
243   sed_butlast='s,/*[^/]*$$,,'; \
244   while test -n "$$dir1"; do \
245     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
246     if test "$$first" != "."; then \
247       if test "$$first" = ".."; then \
248         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
249         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
250       else \
251         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
252         if test "$$first2" = "$$first"; then \
253           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
254         else \
255           dir2="../$$dir2"; \
256         fi; \
257         dir0="$$dir0"/"$$first"; \
258       fi; \
259     fi; \
260     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
261   done; \
262   reldir="$$dir2"
263 GZIP_ENV = --best
264 DIST_ARCHIVES = $(distdir).tar.xz
265 DIST_TARGETS = dist-xz
266 distuninstallcheck_listfiles = find . -type f -print
267 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
268   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
269 distcleancheck_listfiles = find . -type f -print
270 ACLOCAL = @ACLOCAL@
271 ALL_LINGUAS = @ALL_LINGUAS@
272 AMTAR = @AMTAR@
273 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
274 AUTOCONF = @AUTOCONF@
275 AUTOHEADER = @AUTOHEADER@
276 AUTOMAKE = @AUTOMAKE@
277 AWK = @AWK@
278 CATALOGS = @CATALOGS@
279 CATOBJEXT = @CATOBJEXT@
280 CC = @CC@
281 CCDEPMODE = @CCDEPMODE@
282 CFLAGS = @CFLAGS@
283 CLUTTER_CFLAGS = @CLUTTER_CFLAGS@
284 CLUTTER_GTK_CFLAGS = @CLUTTER_GTK_CFLAGS@
285 CLUTTER_GTK_LIBS = @CLUTTER_GTK_LIBS@
286 CLUTTER_LIBS = @CLUTTER_LIBS@
287 CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
288 CPP = @CPP@
289 CPPFLAGS = @CPPFLAGS@
290 CXX = @CXX@
291 CXXDEPMODE = @CXXDEPMODE@
292 CXXFLAGS = @CXXFLAGS@
293 CYGPATH_W = @CYGPATH_W@
294 DATADIRNAME = @DATADIRNAME@
295 DEFS = @DEFS@
296 DEPDIR = @DEPDIR@
297 DJVU_CFLAGS = @DJVU_CFLAGS@
298 DJVU_LIBS = @DJVU_LIBS@
299 DOXYGEN_PAPER_SIZE = @DOXYGEN_PAPER_SIZE@
300 DX_CONFIG = @DX_CONFIG@
301 DX_DOCDIR = @DX_DOCDIR@
302 DX_DOT = @DX_DOT@
303 DX_DOXYGEN = @DX_DOXYGEN@
304 DX_DVIPS = @DX_DVIPS@
305 DX_EGREP = @DX_EGREP@
306 DX_ENV = @DX_ENV@
307 DX_FLAG_DX_CURRENT_FEATURE = @DX_FLAG_DX_CURRENT_FEATURE@
308 DX_FLAG_chi = @DX_FLAG_chi@
309 DX_FLAG_chm = @DX_FLAG_chm@
310 DX_FLAG_doc = @DX_FLAG_doc@
311 DX_FLAG_dot = @DX_FLAG_dot@
312 DX_FLAG_html = @DX_FLAG_html@
313 DX_FLAG_man = @DX_FLAG_man@
314 DX_FLAG_pdf = @DX_FLAG_pdf@
315 DX_FLAG_ps = @DX_FLAG_ps@
316 DX_FLAG_rtf = @DX_FLAG_rtf@
317 DX_FLAG_xml = @DX_FLAG_xml@
318 DX_HHC = @DX_HHC@
319 DX_LATEX = @DX_LATEX@
320 DX_MAKEINDEX = @DX_MAKEINDEX@
321 DX_PDFLATEX = @DX_PDFLATEX@
322 DX_PERL = @DX_PERL@
323 DX_PROJECT = @DX_PROJECT@
324 ECHO_C = @ECHO_C@
325 ECHO_N = @ECHO_N@
326 ECHO_T = @ECHO_T@
327 EGREP = @EGREP@
328 EXEEXT = @EXEEXT@
329 EXIV2_CFLAGS = @EXIV2_CFLAGS@
330 EXIV2_LIBS = @EXIV2_LIBS@
331 FFMPEGTHUMBNAILER_CFLAGS = @FFMPEGTHUMBNAILER_CFLAGS@
332 FFMPEGTHUMBNAILER_LIBS = @FFMPEGTHUMBNAILER_LIBS@
333 GDK_PIXBUF_CSOURCE = @GDK_PIXBUF_CSOURCE@
334 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
335 GLIB_CFLAGS = @GLIB_CFLAGS@
336 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
337 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
338 GLIB_LIBS = @GLIB_LIBS@
339 GLIB_MKENUMS = @GLIB_MKENUMS@
340 GMOFILES = @GMOFILES@
341 GMSGFMT = @GMSGFMT@
342 GNOME_DOC_TOOL = @GNOME_DOC_TOOL@
343 GOBJECT_QUERY = @GOBJECT_QUERY@
344 GREP = @GREP@
345 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
346 GTHREAD_LIBS = @GTHREAD_LIBS@
347 GTK_CFLAGS = @GTK_CFLAGS@
348 GTK_LIBS = @GTK_LIBS@
349 HEIF_CFLAGS = @HEIF_CFLAGS@
350 HEIF_LIBS = @HEIF_LIBS@
351 INSTALL = @INSTALL@
352 INSTALL_DATA = @INSTALL_DATA@
353 INSTALL_PROGRAM = @INSTALL_PROGRAM@
354 INSTALL_SCRIPT = @INSTALL_SCRIPT@
355 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
356 INSTOBJEXT = @INSTOBJEXT@
357 INTLLIBS = @INTLLIBS@
358 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
359 INTLTOOL_MERGE = @INTLTOOL_MERGE@
360 INTLTOOL_PERL = @INTLTOOL_PERL@
361 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
362 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
363 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
364 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
365 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
366 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
367 J2K_CFLAGS = @J2K_CFLAGS@
368 J2K_LIBS = @J2K_LIBS@
369 JPEG_CFLAGS = @JPEG_CFLAGS@
370 JPEG_LIBS = @JPEG_LIBS@
371 LCMS_CFLAGS = @LCMS_CFLAGS@
372 LCMS_LIBS = @LCMS_LIBS@
373 LDFLAGS = @LDFLAGS@
374 LIBCHAMPLAIN_CFLAGS = @LIBCHAMPLAIN_CFLAGS@
375 LIBCHAMPLAIN_GTK_CFLAGS = @LIBCHAMPLAIN_GTK_CFLAGS@
376 LIBCHAMPLAIN_GTK_LIBS = @LIBCHAMPLAIN_GTK_LIBS@
377 LIBCHAMPLAIN_LIBS = @LIBCHAMPLAIN_LIBS@
378 LIBOBJS = @LIBOBJS@
379 LIBS = @LIBS@
380 LTLIBOBJS = @LTLIBOBJS@
381 LUA_CFLAGS = @LUA_CFLAGS@
382 LUA_LIBS = @LUA_LIBS@
383 MAINT = @MAINT@
384 MAKEINFO = @MAKEINFO@
385 MKDIR_P = @MKDIR_P@
386 MKINSTALLDIRS = @MKINSTALLDIRS@
387 MSGFMT = @MSGFMT@
388 MSGFMT_OPTS = @MSGFMT_OPTS@
389 MSGMERGE = @MSGMERGE@
390 OBJEXT = @OBJEXT@
391 PACKAGE = @PACKAGE@
392 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
393 PACKAGE_NAME = @PACKAGE_NAME@
394 PACKAGE_STRING = @PACKAGE_STRING@
395 PACKAGE_TARNAME = @PACKAGE_TARNAME@
396 PACKAGE_URL = @PACKAGE_URL@
397 PACKAGE_VERSION = @PACKAGE_VERSION@
398 PATHSEP = @PATHSEP@
399 PATH_SEPARATOR = @PATH_SEPARATOR@
400 PDF_CFLAGS = @PDF_CFLAGS@
401 PDF_LIBS = @PDF_LIBS@
402 PKG_CONFIG = @PKG_CONFIG@
403 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
404 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
405 POFILES = @POFILES@
406 POSUB = @POSUB@
407 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
408 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
409 SET_MAKE = @SET_MAKE@
410 SHELL = @SHELL@
411 STRIP = @STRIP@
412 TIFF_CFLAGS = @TIFF_CFLAGS@
413 TIFF_LIBS = @TIFF_LIBS@
414 USE_NLS = @USE_NLS@
415 VERSION = @VERSION@
416 WEBP_CFLAGS = @WEBP_CFLAGS@
417 WEBP_LIBS = @WEBP_LIBS@
418 WINDRES = @WINDRES@
419 XGETTEXT = @XGETTEXT@
420 abs_builddir = @abs_builddir@
421 abs_srcdir = @abs_srcdir@
422 abs_top_builddir = @abs_top_builddir@
423 abs_top_srcdir = @abs_top_srcdir@
424 ac_ct_CC = @ac_ct_CC@
425 ac_ct_CXX = @ac_ct_CXX@
426 am__include = @am__include@
427 am__leading_dot = @am__leading_dot@
428 am__quote = @am__quote@
429 am__tar = @am__tar@
430 am__untar = @am__untar@
431 appdir = @appdir@
432 bindir = @bindir@
433 build_alias = @build_alias@
434 builddir = @builddir@
435 datadir = @datadir@
436 datarootdir = @datarootdir@
437 docdir = @docdir@
438 dvidir = @dvidir@
439 exec_prefix = @exec_prefix@
440 gq_bindir = @gq_bindir@
441 host_alias = @host_alias@
442 htmldir = @htmldir@
443 includedir = @includedir@
444 infodir = @infodir@
445 install_sh = @install_sh@
446 intltool__v_merge_options_ = @intltool__v_merge_options_@
447 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
448 libdir = @libdir@
449 libexecdir = @libexecdir@
450 localedir = @localedir@
451 localstatedir = @localstatedir@
452 mandir = @mandir@
453 mkdir_p = @mkdir_p@
454 ms_librarian = @ms_librarian@
455 oldincludedir = @oldincludedir@
456 pdfdir = @pdfdir@
457 prefix = @prefix@
458 program_transform_name = @program_transform_name@
459 psdir = @psdir@
460 readmedir = @readmedir@
461 runstatedir = @runstatedir@
462 sbindir = @sbindir@
463 sharedstatedir = @sharedstatedir@
464 srcdir = @srcdir@
465 sysconfdir = @sysconfdir@
466 target_alias = @target_alias@
467 top_build_prefix = @top_build_prefix@
468 top_builddir = @top_builddir@
469 top_srcdir = @top_srcdir@
470 @DX_COND_doc_TRUE@@DX_COND_html_TRUE@DX_CLEAN_HTML = @DX_DOCDIR@/html
471 @DX_COND_chm_TRUE@@DX_COND_doc_TRUE@DX_CLEAN_CHM = @DX_DOCDIR@/chm
472 @DX_COND_chi_TRUE@@DX_COND_chm_TRUE@@DX_COND_doc_TRUE@DX_CLEAN_CHI = @DX_DOCDIR@/@PACKAGE@.chi
473 @DX_COND_doc_TRUE@@DX_COND_man_TRUE@DX_CLEAN_MAN = @DX_DOCDIR@/man
474 @DX_COND_doc_TRUE@@DX_COND_rtf_TRUE@DX_CLEAN_RTF = @DX_DOCDIR@/rtf
475 @DX_COND_doc_TRUE@@DX_COND_xml_TRUE@DX_CLEAN_XML = @DX_DOCDIR@/xml
476 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@DX_CLEAN_PS = @DX_DOCDIR@/@PACKAGE@.ps
477 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@DX_PS_GOAL = doxygen-ps
478 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@DX_CLEAN_PDF = @DX_DOCDIR@/@PACKAGE@.pdf
479 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@DX_PDF_GOAL = doxygen-pdf
480 @DX_COND_doc_TRUE@@DX_COND_latex_TRUE@DX_CLEAN_LATEX = @DX_DOCDIR@/latex
481 @DX_COND_doc_TRUE@DX_CLEANFILES = \
482 @DX_COND_doc_TRUE@    @DX_DOCDIR@/@PACKAGE@.tag \
483 @DX_COND_doc_TRUE@    -r \
484 @DX_COND_doc_TRUE@    $(DX_CLEAN_HTML) \
485 @DX_COND_doc_TRUE@    $(DX_CLEAN_CHM) \
486 @DX_COND_doc_TRUE@    $(DX_CLEAN_CHI) \
487 @DX_COND_doc_TRUE@    $(DX_CLEAN_MAN) \
488 @DX_COND_doc_TRUE@    $(DX_CLEAN_RTF) \
489 @DX_COND_doc_TRUE@    $(DX_CLEAN_XML) \
490 @DX_COND_doc_TRUE@    $(DX_CLEAN_PS) \
491 @DX_COND_doc_TRUE@    $(DX_CLEAN_PDF) \
492 @DX_COND_doc_TRUE@    $(DX_CLEAN_LATEX)
493
494 SUBDIRS = src po doc plugins
495 DIST_SUBDIRS = src po doc plugins
496 man_MANS = geeqie.1
497 @HAVE_MARKDOWN_FALSE@readme_DATA = README.md COPYING ChangeLog TODO README.lirc AUTHORS ChangeLog.html
498 @HAVE_MARKDOWN_TRUE@readme_DATA = README.md COPYING ChangeLog TODO README.lirc AUTHORS README.html ChangeLog.html
499 desktopdir = $(datadir)/applications
500 desktop_in_files = geeqie.desktop.in
501 desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
502 icondir = $(datadir)/pixmaps
503 icon_DATA = geeqie.png
504 @EXTERNAL_PREFIX_FALSE@appdatadir = /usr/share/metainfo
505
506 # Location defined by freedesktop.org
507 @EXTERNAL_PREFIX_TRUE@appdatadir = $(datadir)/metainfo
508 appdata_DATA = $(appdata_in_files:.xml.in=.xml)
509 appdata_in_files = org.geeqie.Geeqie.appdata.xml.in
510 EXTRA_DIST = \
511         $(readme_DATA)  \
512         $(desktop_in_files)     \
513         $(icon_DATA)    \
514         geeqie.spec.in  \
515         geeqie.1        \
516         doxygen.conf    \
517         $(appdata_in_files)
518
519 DISTCLEANFILES = config.report
520 CLEANFILES = $(desktop_DATA) ChangeLog.html $(appdata_DATA)
521 all: config.h
522         $(MAKE) $(AM_MAKEFLAGS) all-recursive
523
524 .SUFFIXES:
525 am--refresh: Makefile
526         @:
527 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/aminclude.am $(am__configure_deps)
528         @for dep in $?; do \
529           case '$(am__configure_deps)' in \
530             *$$dep*) \
531               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
532               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
533                 && exit 0; \
534               exit 1;; \
535           esac; \
536         done; \
537         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
538         $(am__cd) $(top_srcdir) && \
539           $(AUTOMAKE) --foreign Makefile
540 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
541         @case '$?' in \
542           *config.status*) \
543             echo ' $(SHELL) ./config.status'; \
544             $(SHELL) ./config.status;; \
545           *) \
546             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
547             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
548         esac;
549 $(top_srcdir)/aminclude.am $(am__empty):
550
551 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
552         $(SHELL) ./config.status --recheck
553
554 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
555         $(am__cd) $(srcdir) && $(AUTOCONF)
556 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
557         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
558 $(am__aclocal_m4_deps):
559
560 config.h: stamp-h1
561         @test -f $@ || rm -f stamp-h1
562         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
563
564 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
565         @rm -f stamp-h1
566         cd $(top_builddir) && $(SHELL) ./config.status config.h
567 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
568         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
569         rm -f stamp-h1
570         touch $@
571
572 distclean-hdr:
573         -rm -f config.h stamp-h1
574 geeqie.spec: $(top_builddir)/config.status $(srcdir)/geeqie.spec.in
575         cd $(top_builddir) && $(SHELL) ./config.status $@
576 install-man1: $(man_MANS)
577         @$(NORMAL_INSTALL)
578         @list1=''; \
579         list2='$(man_MANS)'; \
580         test -n "$(man1dir)" \
581           && test -n "`echo $$list1$$list2`" \
582           || exit 0; \
583         echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
584         $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
585         { for i in $$list1; do echo "$$i"; done;  \
586         if test -n "$$list2"; then \
587           for i in $$list2; do echo "$$i"; done \
588             | sed -n '/\.1[a-z]*$$/p'; \
589         fi; \
590         } | while read p; do \
591           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
592           echo "$$d$$p"; echo "$$p"; \
593         done | \
594         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
595               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
596         sed 'N;N;s,\n, ,g' | { \
597         list=; while read file base inst; do \
598           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
599             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
600             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
601           fi; \
602         done; \
603         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
604         while read files; do \
605           test -z "$$files" || { \
606             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
607             $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
608         done; }
609
610 uninstall-man1:
611         @$(NORMAL_UNINSTALL)
612         @list=''; test -n "$(man1dir)" || exit 0; \
613         files=`{ for i in $$list; do echo "$$i"; done; \
614         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
615           sed -n '/\.1[a-z]*$$/p'; \
616         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
617               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
618         dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
619 install-appdataDATA: $(appdata_DATA)
620         @$(NORMAL_INSTALL)
621         @list='$(appdata_DATA)'; test -n "$(appdatadir)" || list=; \
622         if test -n "$$list"; then \
623           echo " $(MKDIR_P) '$(DESTDIR)$(appdatadir)'"; \
624           $(MKDIR_P) "$(DESTDIR)$(appdatadir)" || exit 1; \
625         fi; \
626         for p in $$list; do \
627           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
628           echo "$$d$$p"; \
629         done | $(am__base_list) | \
630         while read files; do \
631           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(appdatadir)'"; \
632           $(INSTALL_DATA) $$files "$(DESTDIR)$(appdatadir)" || exit $$?; \
633         done
634
635 uninstall-appdataDATA:
636         @$(NORMAL_UNINSTALL)
637         @list='$(appdata_DATA)'; test -n "$(appdatadir)" || list=; \
638         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
639         dir='$(DESTDIR)$(appdatadir)'; $(am__uninstall_files_from_dir)
640 install-desktopDATA: $(desktop_DATA)
641         @$(NORMAL_INSTALL)
642         @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
643         if test -n "$$list"; then \
644           echo " $(MKDIR_P) '$(DESTDIR)$(desktopdir)'"; \
645           $(MKDIR_P) "$(DESTDIR)$(desktopdir)" || exit 1; \
646         fi; \
647         for p in $$list; do \
648           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
649           echo "$$d$$p"; \
650         done | $(am__base_list) | \
651         while read files; do \
652           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \
653           $(INSTALL_DATA) $$files "$(DESTDIR)$(desktopdir)" || exit $$?; \
654         done
655
656 uninstall-desktopDATA:
657         @$(NORMAL_UNINSTALL)
658         @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
659         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
660         dir='$(DESTDIR)$(desktopdir)'; $(am__uninstall_files_from_dir)
661 install-iconDATA: $(icon_DATA)
662         @$(NORMAL_INSTALL)
663         @list='$(icon_DATA)'; test -n "$(icondir)" || list=; \
664         if test -n "$$list"; then \
665           echo " $(MKDIR_P) '$(DESTDIR)$(icondir)'"; \
666           $(MKDIR_P) "$(DESTDIR)$(icondir)" || exit 1; \
667         fi; \
668         for p in $$list; do \
669           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
670           echo "$$d$$p"; \
671         done | $(am__base_list) | \
672         while read files; do \
673           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(icondir)'"; \
674           $(INSTALL_DATA) $$files "$(DESTDIR)$(icondir)" || exit $$?; \
675         done
676
677 uninstall-iconDATA:
678         @$(NORMAL_UNINSTALL)
679         @list='$(icon_DATA)'; test -n "$(icondir)" || list=; \
680         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
681         dir='$(DESTDIR)$(icondir)'; $(am__uninstall_files_from_dir)
682 install-readmeDATA: $(readme_DATA)
683         @$(NORMAL_INSTALL)
684         @list='$(readme_DATA)'; test -n "$(readmedir)" || list=; \
685         if test -n "$$list"; then \
686           echo " $(MKDIR_P) '$(DESTDIR)$(readmedir)'"; \
687           $(MKDIR_P) "$(DESTDIR)$(readmedir)" || exit 1; \
688         fi; \
689         for p in $$list; do \
690           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
691           echo "$$d$$p"; \
692         done | $(am__base_list) | \
693         while read files; do \
694           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(readmedir)'"; \
695           $(INSTALL_DATA) $$files "$(DESTDIR)$(readmedir)" || exit $$?; \
696         done
697
698 uninstall-readmeDATA:
699         @$(NORMAL_UNINSTALL)
700         @list='$(readme_DATA)'; test -n "$(readmedir)" || list=; \
701         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
702         dir='$(DESTDIR)$(readmedir)'; $(am__uninstall_files_from_dir)
703
704 # This directory's subdirectories are mostly independent; you can cd
705 # into them and run 'make' without going through this Makefile.
706 # To change the values of 'make' variables: instead of editing Makefiles,
707 # (1) if the variable is set in 'config.status', edit 'config.status'
708 #     (which will cause the Makefiles to be regenerated when you run 'make');
709 # (2) otherwise, pass the desired values on the 'make' command line.
710 $(am__recursive_targets):
711         @fail=; \
712         if $(am__make_keepgoing); then \
713           failcom='fail=yes'; \
714         else \
715           failcom='exit 1'; \
716         fi; \
717         dot_seen=no; \
718         target=`echo $@ | sed s/-recursive//`; \
719         case "$@" in \
720           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
721           *) list='$(SUBDIRS)' ;; \
722         esac; \
723         for subdir in $$list; do \
724           echo "Making $$target in $$subdir"; \
725           if test "$$subdir" = "."; then \
726             dot_seen=yes; \
727             local_target="$$target-am"; \
728           else \
729             local_target="$$target"; \
730           fi; \
731           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
732           || eval $$failcom; \
733         done; \
734         if test "$$dot_seen" = "no"; then \
735           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
736         fi; test -z "$$fail"
737
738 ID: $(am__tagged_files)
739         $(am__define_uniq_tagged_files); mkid -fID $$unique
740 tags: tags-recursive
741 TAGS: tags
742
743 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
744         set x; \
745         here=`pwd`; \
746         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
747           include_option=--etags-include; \
748           empty_fix=.; \
749         else \
750           include_option=--include; \
751           empty_fix=; \
752         fi; \
753         list='$(SUBDIRS)'; for subdir in $$list; do \
754           if test "$$subdir" = .; then :; else \
755             test ! -f $$subdir/TAGS || \
756               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
757           fi; \
758         done; \
759         $(am__define_uniq_tagged_files); \
760         shift; \
761         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
762           test -n "$$unique" || unique=$$empty_fix; \
763           if test $$# -gt 0; then \
764             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
765               "$$@" $$unique; \
766           else \
767             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
768               $$unique; \
769           fi; \
770         fi
771 ctags: ctags-recursive
772
773 CTAGS: ctags
774 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
775         $(am__define_uniq_tagged_files); \
776         test -z "$(CTAGS_ARGS)$$unique" \
777           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
778              $$unique
779
780 GTAGS:
781         here=`$(am__cd) $(top_builddir) && pwd` \
782           && $(am__cd) $(top_srcdir) \
783           && gtags -i $(GTAGS_ARGS) "$$here"
784 cscope: cscope.files
785         test ! -s cscope.files \
786           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
787 clean-cscope:
788         -rm -f cscope.files
789 cscope.files: clean-cscope cscopelist
790 cscopelist: cscopelist-recursive
791
792 cscopelist-am: $(am__tagged_files)
793         list='$(am__tagged_files)'; \
794         case "$(srcdir)" in \
795           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
796           *) sdir=$(subdir)/$(srcdir) ;; \
797         esac; \
798         for i in $$list; do \
799           if test -f "$$i"; then \
800             echo "$(subdir)/$$i"; \
801           else \
802             echo "$$sdir/$$i"; \
803           fi; \
804         done >> $(top_builddir)/cscope.files
805
806 distclean-tags:
807         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
808         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
809
810 distdir: $(BUILT_SOURCES)
811         $(MAKE) $(AM_MAKEFLAGS) distdir-am
812
813 distdir-am: $(DISTFILES)
814         $(am__remove_distdir)
815         test -d "$(distdir)" || mkdir "$(distdir)"
816         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
817         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
818         list='$(DISTFILES)'; \
819           dist_files=`for file in $$list; do echo $$file; done | \
820           sed -e "s|^$$srcdirstrip/||;t" \
821               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
822         case $$dist_files in \
823           */*) $(MKDIR_P) `echo "$$dist_files" | \
824                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
825                            sort -u` ;; \
826         esac; \
827         for file in $$dist_files; do \
828           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
829           if test -d $$d/$$file; then \
830             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
831             if test -d "$(distdir)/$$file"; then \
832               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
833             fi; \
834             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
835               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
836               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
837             fi; \
838             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
839           else \
840             test -f "$(distdir)/$$file" \
841             || cp -p $$d/$$file "$(distdir)/$$file" \
842             || exit 1; \
843           fi; \
844         done
845         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
846           if test "$$subdir" = .; then :; else \
847             $(am__make_dryrun) \
848               || test -d "$(distdir)/$$subdir" \
849               || $(MKDIR_P) "$(distdir)/$$subdir" \
850               || exit 1; \
851             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
852             $(am__relativize); \
853             new_distdir=$$reldir; \
854             dir1=$$subdir; dir2="$(top_distdir)"; \
855             $(am__relativize); \
856             new_top_distdir=$$reldir; \
857             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
858             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
859             ($(am__cd) $$subdir && \
860               $(MAKE) $(AM_MAKEFLAGS) \
861                 top_distdir="$$new_top_distdir" \
862                 distdir="$$new_distdir" \
863                 am__remove_distdir=: \
864                 am__skip_length_check=: \
865                 am__skip_mode_fix=: \
866                 distdir) \
867               || exit 1; \
868           fi; \
869         done
870         $(MAKE) $(AM_MAKEFLAGS) \
871           top_distdir="$(top_distdir)" distdir="$(distdir)" \
872           dist-hook
873         -test -n "$(am__skip_mode_fix)" \
874         || find "$(distdir)" -type d ! -perm -755 \
875                 -exec chmod u+rwx,go+rx {} \; -o \
876           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
877           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
878           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
879         || chmod -R a+r "$(distdir)"
880 dist-gzip: distdir
881         tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
882         $(am__post_remove_distdir)
883
884 dist-bzip2: distdir
885         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
886         $(am__post_remove_distdir)
887
888 dist-lzip: distdir
889         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
890         $(am__post_remove_distdir)
891 dist-xz: distdir
892         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
893         $(am__post_remove_distdir)
894
895 dist-zstd: distdir
896         tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
897         $(am__post_remove_distdir)
898
899 dist-tarZ: distdir
900         @echo WARNING: "Support for distribution archives compressed with" \
901                        "legacy program 'compress' is deprecated." >&2
902         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
903         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
904         $(am__post_remove_distdir)
905
906 dist-shar: distdir
907         @echo WARNING: "Support for shar distribution archives is" \
908                        "deprecated." >&2
909         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
910         shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
911         $(am__post_remove_distdir)
912
913 dist-zip: distdir
914         -rm -f $(distdir).zip
915         zip -rq $(distdir).zip $(distdir)
916         $(am__post_remove_distdir)
917
918 dist dist-all:
919         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
920         $(am__post_remove_distdir)
921
922 # This target untars the dist file and tries a VPATH configuration.  Then
923 # it guarantees that the distribution is self-contained by making another
924 # tarfile.
925 distcheck: dist
926         case '$(DIST_ARCHIVES)' in \
927         *.tar.gz*) \
928           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
929         *.tar.bz2*) \
930           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
931         *.tar.lz*) \
932           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
933         *.tar.xz*) \
934           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
935         *.tar.Z*) \
936           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
937         *.shar.gz*) \
938           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
939         *.zip*) \
940           unzip $(distdir).zip ;;\
941         *.tar.zst*) \
942           zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
943         esac
944         chmod -R a-w $(distdir)
945         chmod u+w $(distdir)
946         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
947         chmod a-w $(distdir)
948         test -d $(distdir)/_build || exit 0; \
949         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
950           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
951           && am__cwd=`pwd` \
952           && $(am__cd) $(distdir)/_build/sub \
953           && ../../configure \
954             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
955             $(DISTCHECK_CONFIGURE_FLAGS) \
956             --srcdir=../.. --prefix="$$dc_install_base" \
957           && $(MAKE) $(AM_MAKEFLAGS) \
958           && $(MAKE) $(AM_MAKEFLAGS) dvi \
959           && $(MAKE) $(AM_MAKEFLAGS) check \
960           && $(MAKE) $(AM_MAKEFLAGS) install \
961           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
962           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
963           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
964                 distuninstallcheck \
965           && chmod -R a-w "$$dc_install_base" \
966           && ({ \
967                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
968                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
969                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
970                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
971                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
972               } || { rm -rf "$$dc_destdir"; exit 1; }) \
973           && rm -rf "$$dc_destdir" \
974           && $(MAKE) $(AM_MAKEFLAGS) dist \
975           && rm -rf $(DIST_ARCHIVES) \
976           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
977           && cd "$$am__cwd" \
978           || exit 1
979         $(am__post_remove_distdir)
980         @(echo "$(distdir) archives ready for distribution: "; \
981           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
982           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
983 distuninstallcheck:
984         @test -n '$(distuninstallcheck_dir)' || { \
985           echo 'ERROR: trying to run $@ with an empty' \
986                '$$(distuninstallcheck_dir)' >&2; \
987           exit 1; \
988         }; \
989         $(am__cd) '$(distuninstallcheck_dir)' || { \
990           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
991           exit 1; \
992         }; \
993         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
994            || { echo "ERROR: files left after uninstall:" ; \
995                 if test -n "$(DESTDIR)"; then \
996                   echo "  (check DESTDIR support)"; \
997                 fi ; \
998                 $(distuninstallcheck_listfiles) ; \
999                 exit 1; } >&2
1000 distcleancheck: distclean
1001         @if test '$(srcdir)' = . ; then \
1002           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
1003           exit 1 ; \
1004         fi
1005         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
1006           || { echo "ERROR: files left in build directory after distclean:" ; \
1007                $(distcleancheck_listfiles) ; \
1008                exit 1; } >&2
1009 check-am: all-am
1010 check: check-recursive
1011 all-am: Makefile $(MANS) $(DATA) config.h
1012 installdirs: installdirs-recursive
1013 installdirs-am:
1014         for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(appdatadir)" "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(icondir)" "$(DESTDIR)$(readmedir)"; do \
1015           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1016         done
1017 install: install-recursive
1018 install-exec: install-exec-recursive
1019 install-data: install-data-recursive
1020 uninstall: uninstall-recursive
1021
1022 install-am: all-am
1023         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1024
1025 installcheck: installcheck-recursive
1026 install-strip:
1027         if test -z '$(STRIP)'; then \
1028           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1029             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1030               install; \
1031         else \
1032           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1033             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1034             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1035         fi
1036 mostlyclean-generic:
1037
1038 clean-generic:
1039         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1040
1041 distclean-generic:
1042         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1043         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1044         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1045
1046 maintainer-clean-generic:
1047         @echo "This command is intended for maintainers to use"
1048         @echo "it deletes files that may require special tools to rebuild."
1049 clean: clean-recursive
1050
1051 clean-am: clean-generic mostlyclean-am
1052
1053 distclean: distclean-recursive
1054         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1055         -rm -f Makefile
1056 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
1057
1058 dvi: dvi-recursive
1059
1060 dvi-am:
1061
1062 html: html-recursive
1063
1064 html-am:
1065
1066 info: info-recursive
1067
1068 info-am:
1069
1070 install-data-am: install-appdataDATA install-desktopDATA \
1071         install-iconDATA install-man install-readmeDATA
1072
1073 install-dvi: install-dvi-recursive
1074
1075 install-dvi-am:
1076
1077 install-exec-am:
1078
1079 install-html: install-html-recursive
1080
1081 install-html-am:
1082
1083 install-info: install-info-recursive
1084
1085 install-info-am:
1086
1087 install-man: install-man1
1088
1089 install-pdf: install-pdf-recursive
1090
1091 install-pdf-am:
1092
1093 install-ps: install-ps-recursive
1094
1095 install-ps-am:
1096
1097 installcheck-am:
1098
1099 maintainer-clean: maintainer-clean-recursive
1100         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1101         -rm -rf $(top_srcdir)/autom4te.cache
1102         -rm -f Makefile
1103 maintainer-clean-am: distclean-am maintainer-clean-generic
1104
1105 mostlyclean: mostlyclean-recursive
1106
1107 mostlyclean-am: mostlyclean-generic
1108
1109 pdf: pdf-recursive
1110
1111 pdf-am:
1112
1113 ps: ps-recursive
1114
1115 ps-am:
1116
1117 uninstall-am: uninstall-appdataDATA uninstall-desktopDATA \
1118         uninstall-iconDATA uninstall-man uninstall-readmeDATA
1119
1120 uninstall-man: uninstall-man1
1121
1122 .MAKE: $(am__recursive_targets) all install-am install-strip
1123
1124 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1125         am--refresh check check-am clean clean-cscope clean-generic \
1126         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
1127         dist-gzip dist-hook dist-lzip dist-shar dist-tarZ dist-xz \
1128         dist-zip dist-zstd distcheck distclean distclean-generic \
1129         distclean-hdr distclean-tags distcleancheck distdir \
1130         distuninstallcheck dvi dvi-am html html-am info info-am \
1131         install install-am install-appdataDATA install-data \
1132         install-data-am install-desktopDATA install-dvi install-dvi-am \
1133         install-exec install-exec-am install-html install-html-am \
1134         install-iconDATA install-info install-info-am install-man \
1135         install-man1 install-pdf install-pdf-am install-ps \
1136         install-ps-am install-readmeDATA install-strip installcheck \
1137         installcheck-am installdirs installdirs-am maintainer-clean \
1138         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
1139         pdf-am ps ps-am tags tags-am uninstall uninstall-am \
1140         uninstall-appdataDATA uninstall-desktopDATA uninstall-iconDATA \
1141         uninstall-man uninstall-man1 uninstall-readmeDATA
1142
1143 .PRECIOUS: Makefile
1144
1145
1146 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@doxygen-ps: @DX_DOCDIR@/@PACKAGE@.ps
1147
1148 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@@DX_DOCDIR@/@PACKAGE@.ps: @DX_DOCDIR@/@PACKAGE@.tag
1149 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     cd @DX_DOCDIR@/latex; \
1150 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     rm -f *.aux *.toc *.idx *.ind *.ilg *.log *.out; \
1151 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_LATEX) refman.tex; \
1152 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(MAKEINDEX_PATH) refman.idx; \
1153 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_LATEX) refman.tex; \
1154 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     countdown=5; \
1155 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     while $(DX_EGREP) 'Rerun (LaTeX|to get cross-references right)' \
1156 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@                       refman.log > /dev/null 2>&1 \
1157 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@        && test $$countdown -gt 0; do \
1158 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@         $(DX_LATEX) refman.tex; \
1159 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@         countdown=`expr $$countdown - 1`; \
1160 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     done; \
1161 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_DVIPS) -o ../@PACKAGE@.ps refman.dvi
1162
1163 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@doxygen-pdf: @DX_DOCDIR@/@PACKAGE@.pdf
1164
1165 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@@DX_DOCDIR@/@PACKAGE@.pdf: @DX_DOCDIR@/@PACKAGE@.tag
1166 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    cd @DX_DOCDIR@/latex; \
1167 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    rm -f *.aux *.toc *.idx *.ind *.ilg *.log *.out; \
1168 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_PDFLATEX) refman.tex; \
1169 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_MAKEINDEX) refman.idx; \
1170 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_PDFLATEX) refman.tex; \
1171 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    countdown=5; \
1172 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    while $(DX_EGREP) 'Rerun (LaTeX|to get cross-references right)' \
1173 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@                      refman.log > /dev/null 2>&1 \
1174 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@       && test $$countdown -gt 0; do \
1175 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@        $(DX_PDFLATEX) refman.tex; \
1176 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@        countdown=`expr $$countdown - 1`; \
1177 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    done; \
1178 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    mv refman.pdf ../@PACKAGE@.pdf
1179
1180 @DX_COND_doc_TRUE@.PHONY: doxygen-run doxygen-doc $(DX_PS_GOAL) $(DX_PDF_GOAL)
1181
1182 @DX_COND_doc_TRUE@.INTERMEDIATE: doxygen-run $(DX_PS_GOAL) $(DX_PDF_GOAL)
1183
1184 @DX_COND_doc_TRUE@doxygen-run: @DX_DOCDIR@/@PACKAGE@.tag
1185
1186 @DX_COND_doc_TRUE@doxygen-doc: doxygen-run $(DX_PS_GOAL) $(DX_PDF_GOAL)
1187
1188 @DX_COND_doc_TRUE@@DX_DOCDIR@/@PACKAGE@.tag: $(DX_CONFIG) $(pkginclude_HEADERS)
1189 @DX_COND_doc_TRUE@      rm -rf @DX_DOCDIR@
1190 @DX_COND_doc_TRUE@      $(DX_ENV) $(DX_DOXYGEN) $(srcdir)/$(DX_CONFIG)
1191 @INTLTOOL_DESKTOP_RULE@
1192 @INTLTOOL_XML_RULE@
1193
1194 dist-hook: geeqie.spec
1195         cp $(top_builddir)/geeqie.spec $(distdir)
1196
1197 .PHONY: ChangeLog
1198 ChangeLog.html:
1199         ./gen_changelog.sh
1200
1201 README.html: README.md
1202         ./gen_readme.sh
1203
1204 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1205 # Otherwise a system limit (for SysV at least) may be exceeded.
1206 .NOEXPORT: